WinGDI.PIXELFORMATDESCRIPTOR (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinGDI, class: PIXELFORMATDESCRIPTOR

Package com.sun.jna.platform.win32

# Class WinGDI.PIXELFORMATDESCRIPTOR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinGDI.PIXELFORMATDESCRIPTOR

Direct Known Subclasses:
  `WinGDI.PIXELFORMATDESCRIPTOR.ByReference`

Enclosing interface:
  WinGDI

@FieldOrder({"nSize","nVersion","dwFlags","iPixelType","cColorBits","cRedBits","cRedShift","cGreenBits","cGreenShift","cBlueBits","cBlueShift","cAlphaBits","cAlphaShift","cAccumBits","cAccumRedBits","cAccumGreenBits","cAccumBlueBits","cAccumAlphaBits","cDepthBits","cStencilBits","cAuxBuffers","iLayerType","bReserved","dwLayerMask","dwVisibleMask","dwDamageMask"}) public static class WinGDI.PIXELFORMATDESCRIPTOR extends Structure
The PIXELFORMATDESCRIPTOR structure describes the pixel format of a drawing surface.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinGDI.PIXELFORMATDESCRIPTOR.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte`
  `bReserved`
  Specifies the number of overlay and underlay planes.
  `byte`
  `cAccumAlphaBits`
  Specifies the number of alpha bitplanes in the accumulation buffer.
  `byte`
  `cAccumBits`
  Specifies the total number of bitplanes in the accumulation buffer.
  `byte`
  `cAccumBlueBits`
  Specifies the number of blue bitplanes in the accumulation buffer.
  `byte`
  `cAccumGreenBits`
  Specifies the number of green bitplanes in the accumulation buffer.
  `byte`
  `cAccumRedBits`
  Specifies the number of red bitplanes in the accumulation buffer.
  `byte`
  `cAlphaBits`
  Specifies the number of alpha bitplanes in each RGBA color buffer.
  `byte`
  `cAlphaShift`
  Specifies the shift count for alpha bitplanes in each RGBA color buffer.
  `byte`
  `cAuxBuffers`
  Specifies the number of auxiliary buffers.
  `byte`
  `cBlueBits`
  Specifies the number of blue bitplanes in each RGBA color buffer.
  `byte`
  `cBlueShift`
  Specifies the shift count for blue bitplanes in each RGBA color buffer.
  `byte`
  `cColorBits`
  Specifies the number of color bitplanes in each color buffer.
  `byte`
  `cDepthBits`
  Specifies the depth of the depth (z-axis) buffer.
  `byte`
  `cGreenBits`
  Specifies the number of green bitplanes in each RGBA color buffer.
  `byte`
  `cGreenShift`
  Specifies the shift count for green bitplanes in each RGBA color buffer.
  `byte`
  `cRedBits`
  Specifies the number of red bitplanes in each RGBA color buffer.
  `byte`
  `cRedShift`
  Specifies the shift count for red bitplanes in each RGBA color buffer.
  `byte`
  `cStencilBits`
  Specifies the depth of the stencil buffer.
  `int`
  `dwDamageMask`
  Ignored.
  `int`
  `dwFlags`
  A set of bit flags that specify properties of the pixel buffer.
  `int`
  `dwLayerMask`
  Ignored.
  `int`
  `dwVisibleMask`
  Specifies the transparent color or index of an underlay plane.
  `byte`
  `iLayerType`
  Ignored.
  `byte`
  `iPixelType`
  Specifies the type of pixel data.
  `short`
  `nSize`
  Specifies the size of this data structure.
  `short`
  `nVersion`
  Specifies the version of this data structure.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PIXELFORMATDESCRIPTOR()`
  `PIXELFORMATDESCRIPTOR(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### nSize

    public short nSize
    Specifies the size of this data structure. This value should be set to sizeof(PIXELFORMATDESCRIPTOR).

  - ### nVersion

    public short nVersion
    Specifies the version of this data structure. This value should be set to 1.

  - ### dwFlags

    public int dwFlags
    A set of bit flags that specify properties of the pixel buffer.

  - ### iPixelType

    public byte iPixelType
    Specifies the type of pixel data.

  - ### cColorBits

    public byte cColorBits
    Specifies the number of color bitplanes in each color buffer.

  - ### cRedBits

    public byte cRedBits
    Specifies the number of red bitplanes in each RGBA color buffer.

  - ### cRedShift

    public byte cRedShift
    Specifies the shift count for red bitplanes in each RGBA color buffer.

  - ### cGreenBits

    public byte cGreenBits
    Specifies the number of green bitplanes in each RGBA color buffer.

  - ### cGreenShift

    public byte cGreenShift
    Specifies the shift count for green bitplanes in each RGBA color buffer.

  - ### cBlueBits

    public byte cBlueBits
    Specifies the number of blue bitplanes in each RGBA color buffer.

  - ### cBlueShift

    public byte cBlueShift
    Specifies the shift count for blue bitplanes in each RGBA color buffer.

  - ### cAlphaBits

    public byte cAlphaBits
    Specifies the number of alpha bitplanes in each RGBA color buffer. Alpha bitplanes are not supported.

  - ### cAlphaShift

    public byte cAlphaShift
    Specifies the shift count for alpha bitplanes in each RGBA color buffer. Alpha bitplanes are not supported.

  - ### cAccumBits

    public byte cAccumBits
    Specifies the total number of bitplanes in the accumulation buffer.

  - ### cAccumRedBits

    public byte cAccumRedBits
    Specifies the number of red bitplanes in the accumulation buffer.

  - ### cAccumGreenBits

    public byte cAccumGreenBits
    Specifies the number of green bitplanes in the accumulation buffer.

  - ### cAccumBlueBits

    public byte cAccumBlueBits
    Specifies the number of blue bitplanes in the accumulation buffer.

  - ### cAccumAlphaBits

    public byte cAccumAlphaBits
    Specifies the number of alpha bitplanes in the accumulation buffer.

  - ### cDepthBits

    public byte cDepthBits
    Specifies the depth of the depth (z-axis) buffer.

  - ### cStencilBits

    public byte cStencilBits
    Specifies the depth of the stencil buffer.

  - ### cAuxBuffers

    public byte cAuxBuffers
    Specifies the number of auxiliary buffers. Auxiliary buffers are not supported.

  - ### iLayerType

    public byte iLayerType
    Ignored. Earlier implementations of OpenGL used this member, but it is no longer used.

  - ### bReserved

    public byte bReserved
    Specifies the number of overlay and underlay planes.

  - ### dwLayerMask

    public int dwLayerMask
    Ignored. Earlier implementations of OpenGL used this member, but it is no longer used.

  - ### dwVisibleMask

    public int dwVisibleMask
    Specifies the transparent color or index of an underlay plane.

  - ### dwDamageMask

    public int dwDamageMask
    Ignored. Earlier implementations of OpenGL used this member, but it is no longer used.

- ## Constructor Details

  - ### PIXELFORMATDESCRIPTOR

    public PIXELFORMATDESCRIPTOR()

  - ### PIXELFORMATDESCRIPTOR

    public PIXELFORMATDESCRIPTOR(Pointer memory)